# Settings
%global product_name Reports package for oVirt Virtualization Management
%global product_description oVirt virtualization reports
%global install_poms 0

%global reports_name ovirt-engine-reports
%global reports_java %{_javadir}/%{reports_name}

%global make_common_opts \\\
        -j1 \\\
        PACKAGE_NAME=%{name} \\\
        OVIRT_REPORTS_NAME=%{reports_name} \\\
        PREFIX=%{_prefix} \\\
        SYSCONF_DIR=%{_sysconfdir} \\\
        BIN_DIR=%{_bindir} \\\
        DATAROOT_DIR=%{_datadir} \\\
        PYTHON=%{__python} \\\
        PYTHON_DIR=%{python_sitelib} \\\
        JAVA_DIR=%{_javadir} \\\
        MAVENPOM_DIR=%{_mavenpomdir} \\\
        PKG_JAVA_DIR=%{reports_java} \\\
        %{?BUILD_FLAGS:BUILD_FLAGS="%{BUILD_FLAGS}"} \\\
        %{?EXTRA_BUILD_FLAGS:EXTRA_BUILD_FLAGS="%{EXTRA_BUILD_FLAGS}"}

Name: rhevm-reports
Version: 3.1.0
Release: 20%{?dist}
License: Commercial
Summary: %{product_name}
Group: Virtualization/Management
URL: http://www.ovirt.org
BuildArch: noarch

# We build RHEV-M in the MEAD environment, and that means that the
# sources are the artifacts previously built with maven:

Source0: ovirt_engine_reports-root-3.1.0-sources.zip
Source1: jars-3.1.0.pom
Source2: ChartsCustomizers-3.1.0.pom
Source3: ChartsCustomizers-3.1.0.jar
Source4: reports-3.1.0.pom
Source5: ReportsLineBarChartTheme-3.1.0.jar
Source6: ReportsLineBarChartTheme-3.1.0.pom
Source7: WebadminLineBarChartTheme-3.1.0.pom
Source8: WebadminLineBarChartTheme-3.1.0.jar
Source9: EngineAuthentication-3.1.0.jar
Source10: EngineAuthentication-3.1.0.pom
Source11: root-3.1.0.pom
Source12: ReportsPieChartTheme-3.1.0.jar
Source13: ReportsPieChartTheme-3.1.0.pom

BuildRequires: jpackage-utils
BuildRequires: make
BuildRequires: log4j
Requires: python
Requires: java-1.7.0-openjdk
Requires: jpackage-utils
Requires: rhevm >= 3.1
Requires: rhevm-dwh >= 3.1
Requires: jasperreports-server-pro >= 4.7.0

# We need some packages installed in order to workaround
# bug 862355:
Requires: liberation-mono-fonts

%description
The %{product_description} package provides a suite of
pre-configured reports and dashboards that enable you to
monitor the system. The reports module is based on
JasperReports and JasperServer, and can also be used to create
ad-hoc reports.

%prep

# Note that MEAD takes the name used here (after the -n option)
# from the name of the source code repository, so if you decide to
# name your repository "whatever.git" you will also need to change
# here to "-n whatever":

%setup -q -T -b 0 -n rhevm-reports

%build

# Everything has been built previously by maven, so nothing else
# to do here.

%install
rm -fr "%{buildroot}"

# Use the makefile to do the normal installation, after that we
# will need to replace jar files with links to their actual
# locations:
make %{make_common_opts} install_without_maven MAVEN_OUTPUT_DIR=%{_sourcedir} DESTDIR=%{buildroot} RPM_RELEASE_VERSION=%{release}

ln -s -f %{_bindir}/%{reports_name}-setup %{buildroot}%{_bindir}/%{name}-setup

# Needed for compatibility if package is different than the directory structure
%if "%{name}" != "%{reports_name}"
ln -s "%{reports_name}" "%{buildroot}%{reports_java}/../%{name}"
%endif

# Register poms
%if !%{install_poms}
rm -fr "%{buildroot}%{_mavenpomdir}"
%else
for pom in %{buildroot}%{_mavenpomdir}/*.pom
do
  pomdir=`dirname "${pom}"`
  pom=`basename "${pom}"`
  jpppom="JPP.${pom}"
  mv "${pomdir}/${pom}" "${pomdir}/${jpppom}"
  artifact_id=`echo "${pom}" | sed -e 's/^%{name}-//' -e 's/\.pom//'`
  if [ -f "%{buildroot}%{reports_java}/${artifact_id}.jar" ]
  then
    %add_maven_depmap "${jpppom}" "%{name}/${artifact_id}.jar"
  else
    %add_maven_depmap "${jpppom}"
  fi
done
%endif

%postun
#raw
if [ "$1" -eq 0 ]; then
    if [ -d /usr/share/ovirt-engine/rhevm-reports.war ]; then
        rm -rf /usr/share/ovirt-engine/rhevm-reports.war
        rm -rf /var/lib/ovirt-engine/deployments/rhevm-reports.war*
    fi
    if [ -f /etc/ovirt-engine/jrs-deployment.version ]; then
        rm -rf /etc/ovirt-engine/jrs-deployment.version
    fi
fi

%files
%{reports_java}
%{_datadir}/%{reports_name}
%if "%{name}" != "%{reports_name}"
%{_javadir}/%{name}
%endif
%if %{install_poms}
%{_mavendepmapfragdir}/%{name}
%{_mavenpomdir}/JPP.%{name}-*
%endif

%{_bindir}/%{reports_name}-setup
%{_bindir}/%{name}-setup

%changelog
* Sun Nov 4 2012 Yaniv Dary <ydary@redhat.com> - 3.1.0
Issues fixed:
- updated reports' localiztion
- fixed exception on trash-icon (#872128)
- fixed localized charts text appears as squares (#870736)

* Mon Oct 29 2012 Yaniv Dary <ydary@redhat.com> - 3.1.0
Bugs fixed:
849999  - [webadmin] [rhevm-reports] - Webadmin Dashboards - Refresh interval should not affect the Webadmin Dashboards
869632  - [rhevm-reports] Upgrade Remote Setup - when only upgrading the reports package the datasource stops working
869635  - [rhevm-reports] Reports-Setup - Error in log with remote db, since missing host flag IN db test. (also doesn't fail on that)
870720  - [rhevm-reports] BR13 - Report gives Exception error upon execution (Report design not valid Field not found end_date ...end_date)

* Tue Oct 23 2012 Yaniv Dary <ydary@redhat.com> - 3.1.0
Bug fixed:
- 867853 - upgrade between minor versions fails

* Wed Oct 17 2012 Yaniv Dary <ydary@redhat.com> - 3.1.0
- added branded localization for JRS.
- added localiztion of reports and ad hoc domains.
- added upgrade from 3.1.
- admin default user was changed to 'rhevm-admin'.

Bug Fixed:
803252  - PRD31 - upgrade Jasper Reports from 3.7 to 4.x
857683  - [rhevm-reports] - Webadmin Dashboards - Cluster Dashboard shows all VMs as HA servers (even Pool of VMs)
858569  - Clearer usage of jbossas and ovirt-engine in setup dialogs and logs for rhevm-reports-setup and rhevm-dwh-setup
861077  - [rhevm-reports] - Webadmin Dashboards - Cannot get any dashboard (Page not found) (rhevm-reports-3.1.0-14 )
863763  - [rhevm-reports] - BR16 - Report gets an Exception (JSExceptionWrapper: Report design not valid)

* Tue Sep 11 2012 Yaniv Dary <ydary@redhat.com> - 3.1.0
Bug Fixed:
854926- [rhevm-reports] - Reports - Always show last "Date Range" and its related data (no matter what is selected in IC)

* Tue Sep 04 2012 Yaniv Dary <ydary@redhat.com> - 3.1.0
Bug Fixed:
811861  - Postgresql unable to accept more than one '$' character in passwords while running rhevm-reports-setup
842686  - [rhevm-reports] - Cluster Dashboard - Uptime Hosts Graph is shrinked and host name cuts in the middle
843599  - [rhevm-reports] - Dashboards - Exception When opening Inventory Dashboard (java.lang.NullPointerException)
850012  - [rhevm-reports] - Dashboards - Chart Bar Size is too big
850034  - [rhevm-reports] - Dashboards - Storage Domains Space Status should have a tool-tip with a value or other info

* Tue Aug 28 2012 Yaniv Dary <ydary@redhat.com> - 3.1.0
Bug Fixed:
846311  - [rhevm-reports] - Dashboards - Some graphs headlines are bold and some are not bolded

* Tue Aug 21 2012 Yaniv Dary <ydary@redhat.com> - 3.1.0
Package was renamed to rhevm-reports.
Paths are all the same and added symlink to branded setup (rhevm-reports-setup).

Bugs Fixed:
850388 - Setup fails on missing file
846315 - ovirt-engine-reports packaging - inconsistent with other rhevm components.
846627 - Changed the Show deleted to "Yes" causes the reports to loads forever (Invalid cookie. Value not a token or quoted value)
849417 - Remote DB - Reports don't open correctly on Remote DB setup

* Wed Jul 18 2012 Yaniv Dary <ydary@redhat.com> - 3.1.0
Major changes:
- Project was renamed from RHEVM Reports to oVirt Engine Reports.
- Server URL is currently under '/jasperserver-pro'
- SSO with WebAdmin
- 3 new dashboard that can be accessed via WebAdmin
- All the input controls are now period affected.
- All reports are localized (only english language pack right now)
- Ability to right click to reports from WebAdmin.

Notes:
- No branding yet.
- Stats Ad Hoc domain doesn't work.
- Column names are not fully user friendly in 3.1 topic and domains.
- Reports refresh don't work.
- No upgrade between 3.0 to 3.1 yet.

Bugs Fixed:
730712 - [rhevm-reports] - Adding user to any ROLE causes unexpected exception
739859 - [rhevm-reports] Ad Hoc Sorting Window should have a frame
748239 - [rhevm-reports] - Trends Dashboard shows incorrect date range in reference to selected month
753856 - PENDING JASPER - rhevm-reports is using vulnerable spring components
753861 - PENDING JASPER - [rhevm-reports] - Schedule - rhevm-reports is not responding when scheduling many reports (Server is overloaded)
766535 - [rhevm-reports] - GUI - Bolded headline in Designer window
768712 - [rhevm-reports] The 'show deleted...' criteria tool-tips are wrong in all reports.
768735 - rhevm-reports is using vulnerable spring components
769866 - [rhevm-reports] Stop server from displaying heartbeat registration prompt at first login (should be disabled by default)
770267 - [rhevm-reports] - BR13 - doesn't display info according To the selected Date Range (Monthly)
771349 - [rhevm-reports] Select month input control stops working when year changes.
783194 - [rhevm-reports] - When working with a very large setups input control and reports work slowly.
797873 - [rhevm-reports] Dashboard - List Box covers the other
797876 - [rhevm-reports] - BR1 - Criteria window is cut when selecting Show Deleted Entities
809762 - [rhevm-reports] - BR21 - DC query not showing all the dc it needs to
812019 - Cannot parse password with :
827645 - rhevm-reports-server installs jasperserver.license to a hard-coded directory instead of looking for the JBoss user's home directory
828031 - [rhevm-reports] [TEXT] - DR29 - spelling mistake - Cluster Capactity vs Usage Cores (DR29) (Capacity)
828036 - [rhevm-reports][TEXT] - DR30 - spelling mistake - Cluster Capactity vs Usage Memory (DR30) (Capacity)
828041 - [rhevm-reports] - DR30 - TEXT - Missing headline Axis X - Cluster Capacity vs Usage Cores (DR30)
829224 - [rhevm-reports] - Dashboards - TEXT - Several DRs are missing Axis X & Y Headlines
830710 - [rhevm-reports] - Dashboard - DataCenter Dashboard shows duplicate status for "Host Uptime Status"
691162 - [rhev-reports] - the GUI freezes in loading, when editing an Ad-Hoc table report [Jasper issue]
691345 - [RHEV-Reports] Resources folder should not be displayed for non-administrative user
691452 - [rhev-reports] - Report times-out with Error message while editing Filters
718767 - [rhevm-reports] - Ad Hoc - Cannot drag columns in Statistics Domain Report Table
726091 - [rhevm-reports] - Schedule - send Email fails for all recipient on the case of one incorrect recipient
728782 - [rhevm-reports - Ad Hoc - Error Message "Unresponsive script" as a result of Many scheduled Reports
731282 - [rhevm-reports] - Menu - Manage Roles ToolTip Look&Feel should be changed
733890 - [rhevm-reports] - JasperTracker - dashboards show don't go to Login page when session timeout
734752 - [rhevm-reports] - JasperTracker - Ad Hoc double click on headline deletes it
737903 - [rhevm-reports] - JasperTracker - Export XLSX report is missing the Graph object
741116 - [rhevm-reports] - Schedule - Exception when creating Schedule Task
760957 - [rhevm-reports] - GUI - Creating new role - doesn't refresh
768705 - [rhevm-reports] - Reports - Enter a page number that exceeds the max page number give a blank page
771196 - [rhevm-reports] - java.lang.IllegalArgumentException: An id is required to lookup a FlowDefinition
786477 - Stored Procedure dbo.dwh_history_aggregate_level fails to execute successfully
788097 - [rhevm-reports] - Ad Hoc - Y Axis index number are wrong when changing to Horizontal bars
795703 - [rhevm-reports] - Ad Hoc - Task sends Error in mail - Error while exporting to PDF (NullPointerException)
800998 - [rhevm-reports] - reports - Cancel reports execution returns to a blank page
730548 - [rhevm-reports] Reports - JasperTracker - Report is not updated if press OK while "Retrieving"
743929 - [rhevm-reports] - Schedule - Crash when saving the task (jsexception.job.no.versions.match)
743935 - [rhevm-reports] - Schedule -Report is duplicated twice when pressing Save Task twice
746661 - [rhevm-reports] Ad Hoc Crosstab - missing sub headlines in report
* Wed Feb 15 2012 Yaniv Dary <ydary@redhat.com> - 3.0.2
Fixed issues:
- 789787 - Custom ROLES are deleted after upgrade of rhevm-reports.
- 787690 - BR13\6 - doesn't display info according To the selected Date Range (Monthly).
- 785763 - When working with a very large setups input control and reports work slowly.
* Tue Jan 10 2012 Yaniv Dary <ydary@redhat.com> - 3.0.2
Fixed issues:
- 771376 - ETL copies duplicate entries of all hosts every hour.
- 769687 - Missing enum for "VM disk storage type" in Ad Hoc Domain
- 771373 - Select month input control stops working when year changes.
- 771374 - Stop server from displaying heartbeat registration prompt at first login (should be disabled by default)
- 766523 - Missing ENUM values for USB policy in vm configuration.
- 769688 - The 'show deleted...' criteria tool-tips are wrong in all reports.
* Tue Nov 8 2011 Juan Hernandez <juan.hernandez@redhat.com> - 3.0.1
- Added logrotate configuration
* Mon Oct 24 2011 Yaniv Dary <ydary@redhat.com> - 3.0.1
- Changed version due to etl API change
* Mon Jul 11 2011 Ronen Angluster <ranglust@redhat.com>
- added rhevm-dwh-setup
- add registration of rhevm-etl service
- added rhevm-reports-setup
* Wed May 25 2011 Yaniv Dary <ydary@redhat.com> - 3.0.0
- Initial build
- Based on Ofer Schreiber <oschreib@redhat.com> rhevm spec
